package com.intland.codebeamer.functionaltest.page.trackers;

import com.codeborne.selenide.Condition;
import com.intland.codebeamer.functionaltest.page.BasePage;
import org.openqa.selenium.By;

import static com.codeborne.selenide.Selenide.$;
import static com.codeborne.selenide.Selenide.page;

/**
 * Copyright by Intland Software
 * <p>
 * All rights reserved.
 * <p>
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Intland.
 */
public class ExportToOfficeDialogPage extends BasePage {

    @Override
    public boolean isPageLoaded() throws UnsupportedOperationException {
        return $("#wordExportTabPane-tab").should(Condition.exist).exists();
    }

    public WordTab clickOnWordTab(){
        $("#wordExportTabPane-tab").click();
        return page(WordTab.class);
    }

    public static class WordTab{

        public void checkIfExport(Condition condition){
            $(By.xpath(".//input[@value='Export']")).shouldBe(condition);
        }

        public void clickOnCancel() {
            $(By.className("cancelButton")).click();
        }

        public void clickOnExport() {
            $(By.className("actionBar ")).$(By.tagName("input")).click();
        }

    }
}
